astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- AffineTransformation2D

# AffineTransformation2D

class `astropy.modeling.projections.``AffineTransformation2D`

  Bases: `astropy.modeling.Model`

  Perform an affine transformation in 2 dimensions.

  Parameters:

  matrix : array

  > A 2x2 matrix specifying the linear transformation to apply to the inputs

  translation : array

  > A 2D vector (given as either a 2x1 or 1x2 array) specifying a translation to apply to the inputs

  Attributes Summary

  `inputs` |
  `matrix` |
  `outputs` |
  `param_names` |
  `standard_broadcasting` |
  `translation` |

  Methods Summary

  `__call__`(x, y[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(x, y, matrix, translation) | Apply the transformation to a set of 2D Cartesian coordinates given as two lists–one for the x coordinates and one for a y coordinates–or a single coordinate pair.

  Attributes Documentation

  `inputs` = (u'x', u'y')
  `matrix`
  `outputs` = (u'x', u'y')
  `param_names` = ('matrix', 'translation')
  `standard_broadcasting` = False
  `translation`

  Methods Documentation

  `__call__`(x, y, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  classmethod `evaluate`(x, y, matrix, translation)

    Apply the transformation to a set of 2D Cartesian coordinates given as two lists–one for the x coordinates and one for a y coordinates–or a single coordinate pair.

    Parameters:

    x, y : array, float

    > x and y coordinates